%define oname	keepassx

#define pre	beta2
%define rel	1

Summary:	Cross Platform Password Manager
Name:		keepassx2
Version:	2.0.3
Release:	%mkrel %{?pre:0.%pre.}%{rel}
License:	GPLv2
Group:		File tools
URL:		http://www.keepassx.org/
Source0:        https://github.com/keepassx/keepassx/archive/%{version}%{?pre:-%pre}/%{oname}-%{version}%{?pre:-%pre}.tar.gz
BuildRequires:	cmake
BuildRequires:	libgcrypt-devel
BuildRequires:	qt4-devel
BuildRequires:	pkgconfig(xtst)
BuildRequires:	pkgconfig(zlib)
# use xvfb for the 2 GUI tests requiring an X server
# BuildRequires:	x11-server-xvfb
Conflicts:	%{oname} < 2.0

%description
KeePassX is a free/open-source password manager or safe which helps
you to manage your passwords in a secure way. You can put all your
passwords in one database, which is locked with one master key or a
key-disk. So you only have to remember one single master password or
insert the key-disk to unlock the whole database. The databases are
encrypted using the best and most secure encryption algorithms
currently known (AES and Twofish).

%if 0%{?pre:1}
Beware: this is an alpha/beta release.
%endif

%prep
%setup -q -n %{oname}-%{version}%{?pre:-%pre}
%autopatch -p1

%build
%cmake_qt4 \
	-DWITH_CXX11:BOOL=TRUE \
	-DCMAKE_VERBOSE_MAKEFILE:BOOL=TRUE \
	-DWITH_TESTS=ON
%make

%check
pushd build
# use xvfb for the 2 GUI tests requiring an X server
# FIXME: doesn't seem to work on the buildsystem, seems no X server gets started
# disabled GUI test, needs to be also disabled in %%cmake in %%build
#%%{_bindir}/xvfb-run make test
make test
popd

%install
%makeinstall_std -C build

%files
%doc CHANGELOG
%license LICENSE* COPYING
%{_bindir}/%{oname}
%{_libdir}/%{oname}/
%{_datadir}/%{oname}/
%{_datadir}/applications/%{oname}.desktop
%{_datadir}/mime/packages/%{oname}.xml
%{_iconsdir}/hicolor/*/apps/%{oname}.*
%{_iconsdir}/hicolor/*/mimetypes/*.png


%changelog
* Sun Jan 01 2017 wally <wally> 2.0.3-1.mga6
+ Revision: 1079309
- new version 2.0.3

* Sun Mar 06 2016 wally <wally> 2.0.2-1.mga6
+ Revision: 986514
- new version 2.0.2

* Wed Dec 16 2015 doktor5000 <doktor5000> 2.0-2.mga6
+ Revision: 911014
- disable use of xvfb-run for the tests due to race condition
- disable GUI test due to X server issues on buildsystem
- new version 2.0 finally released
- updated file list for MIME definition
- enabled tests and GUI tests, run tests in %%check section
- added BuildRequires on x11-server-xvfb and use xvfb-run for GUI tests
- use %%cmake_qt4 instead of %%cmake as keepassx2 requires Qt 4.x
- added BuildRequires on pkgconfig(zlib)

* Mon Sep 14 2015 fwang <fwang> 2.0-0.beta2.1.mga6
+ Revision: 879140
- 2.0beta2

* Sat Aug 08 2015 wally <wally> 2.0-0.beta1.1.mga6
+ Revision: 861671
- new version 2.0 beta1

* Wed Oct 15 2014 umeabot <umeabot> 2.0-0.alpha6.3.mga5
+ Revision: 740376
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.0-0.alpha6.2.mga5
+ Revision: 681033
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 wally <wally> 2.0-0.alpha6.1.mga5
+ Revision: 615183
- new version 2.0 alpha6

* Sun Mar 30 2014 wally <wally> 2.0-0.alpha5.1.mga5
+ Revision: 610334
- new version 2.0 alpha5
- use new pkg name 'keepassx2'
- conflict with keepassx 0.4.x

* Fri Oct 18 2013 umeabot <umeabot> 0.4.3-6.mga4
+ Revision: 506615
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 0.4.3-5.mga3
+ Revision: 356118
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 wally <wally> 0.4.3-4.mga3
+ Revision: 334885
- add missing BR 'pkgconfig(xtst)'
- clean .spec a bit

* Mon Jul 23 2012 sander85 <sander85> 0.4.3-3.mga3
+ Revision: 273690
- Fix build with gcc 4.7

  + anssi <anssi>
    - do not add System category in .desktop

* Wed Apr 27 2011 wally <wally> 0.4.3-2.mga1
+ Revision: 92069
- fix desktop file name (mga#954)

* Sun Apr 24 2011 sander85 <sander85> 0.4.3-1.mga1
+ Revision: 90127
- clean spec and remove unneeded buildrequires
- imported package keepassx

